> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.getlynks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Attributes List

> Retrieve a list of all attributes associated with the provided category identifier
and return them categorized by requirement level.



## OpenAPI

````yaml get /data/attributes
openapi: 3.1.0
info:
  title: Lynks AI External API
  description: External API documentation for Lynks AI.
  version: 1.0.0
servers:
  - url: https://ai.getlynks.io/api
security: []
paths:
  /data/attributes:
    get:
      summary: Retrieve Attributes List
      description: >-
        Retrieve a list of all attributes associated with the provided category
        identifier

        and return them categorized by requirement level.
      operationId: retrieve_attributes_list_data_attributes_get
      parameters:
        - name: category_identifier
          in: query
          required: true
          schema:
            type: string
            description: The identifier of the category whose attributes you want to find.
            title: Category Identifier
          description: The identifier of the category whose attributes you want to find.
      responses:
        '200':
          description: List of Attributes for the selected category.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
          OpenAIKey: []
        - APIKey: []
components:
  schemas:
    AttributeResponse:
      properties:
        total_attribute_count:
          type: integer
          title: Total Attribute Count
        required_attributes:
          $ref: '#/components/schemas/AttributeSection'
        recommended_attributes:
          $ref: '#/components/schemas/AttributeSection'
        optional_attributes:
          $ref: '#/components/schemas/AttributeSection'
        category:
          $ref: '#/components/schemas/Category'
      type: object
      required:
        - total_attribute_count
        - required_attributes
        - recommended_attributes
        - optional_attributes
        - category
      title: AttributeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AttributeSection:
      properties:
        attribute_count:
          type: integer
          title: Attribute Count
        attributes:
          items:
            $ref: '#/components/schemas/Attribute'
          type: array
          title: Attributes
      type: object
      required:
        - attribute_count
        - attributes
      title: AttributeSection
    Category:
      properties:
        identifier:
          type: string
          title: Identifier
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - languages
      title: Category
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Attribute:
      properties:
        identifier:
          type: string
          title: Identifier
        requirement_level:
          type: string
          title: Requirement Level
        languages:
          $ref: '#/components/schemas/Languages'
      type: object
      required:
        - identifier
        - requirement_level
        - languages
      title: Attribute
    Languages:
      properties:
        en:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        de:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        fr:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
        it:
          anyOf:
            - $ref: '#/components/schemas/LanguageDetails'
            - type: 'null'
      type: object
      title: Languages
    LanguageDetails:
      properties:
        name:
          type: string
          title: Name
      type: object
      required:
        - name
      title: LanguageDetails
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-Api-Key
    OpenAIKey:
      type: apiKey
      in: header
      name: X-OpenAI-Key

````